%define gettext_package libgnomecanvas-2.0

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libgnomecanvas
Version:	2.20.1.1
Release:	2
License:	GNU/LGPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	GnomeCanvas widget.
Requires: 	gtk2+
BuildRequires:	gtk2+-devel
BuildRequires: 	libart_lgpl-devel
BuildRequires: 	libglade-devel
BuildRequires: 	libtool gettext gail-devel

%description
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: 	Libraries and headers for libgnomecanvas
Group: 		Development/Libraries
Requires: 	%name = %{version}
Requires: 	gtk2+-devel
Requires: 	libart_lgpl-devel
Requires: 	libglade-devel

%description devel

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
export CFLAGS=$(echo $RPM_OPT_FLAGS |sed -e 's/Os/O1/g')
%configure --disable-gtk-doc
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf %{buildroot}
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT  LIBTOOL=/usr/bin/libtool


%find_lang %{gettext_package}

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc COPYING.LIB ChangeLog NEWS
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_libdir}/libglade/2.0/libcanvas.so

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libglade/2.0/*.a
%{_libdir}/libglade/2.0/*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.1.1-2
- rebuild against libgnome 2.22.0
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.0-4
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.0-3
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.14.0-2
- moved prefix
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.0-1
- Initial Release
